Subject: Re: [PATCH net-next v2 0/7] netns: ease netlink use with a lot of netns

From: Alexander Holler <[email-masked]>
Date: Fri, 22 May 2015 23:30:52 +0200

Am 22.05.2015 um 23:19 schrieb Eric W. Biederman:
> Alexander Holler <[email-masked]> writes:
>
>> Am 08.05.2015 um 14:02 schrieb Eric W. Biederman:
>>>
>>> So I am dense.  I have read through the patches and I don't see where
>>> you tag packets from other network namespaces with a network namespace
>>> id.
>>
>> Me too,
>
> You need to use recvmsg, and then parse out the NETLINK_LISTEN_ALL_NSID
> control message.
>
> It isn't a netlink attribute that is being returned.

Hmm. :(

Maybe I should have read the kernel sources or something else where this 
is mentioned. Looks like I've understood it totally wrong.

Thanks for the explanation.

Regards,

Alexander Holler